import java.util.HashMap;

public class SymbolTable {
	private HashMap<String, Symbol> symbols = new HashMap<String, Symbol>();
	
	public Symbol findOrInsert(String string) {
		Symbol symbol = symbols.get(string);
		
		if (symbol == null) {
			symbol = new Symbol(string);
			symbols.put(string, symbol);
		}
		
		return symbol;
	}
}
