import java.util.Stack;

/**
 * Helper class used for analyzing name uses/definitions during
 * a compilers semantic phase.
 */
public class NameTable {
	public static class Scope {
	}
	private Scope             currentScope;
	
	/** opens a new scope inside the current scope */
	public void enterScope() {
		/* TODO */
	}
	
	/**
	 * leave scope entered by enterScope.
	 * You must leave scopes in exactly the reverse order you entered them!
	 */
	public void leaveScope() {
		/* TODO */
	}
	
	/** add Definition for a symbol to current Scope */
	public void enterDefinition(Symbol symbol, Definition definition) {
		/* TODO */
		symbol.setCurrentDefinition(currentScope, definition);
	}
	
	/** returns definition in current or outer scopes */
	public Definition getCurrentDefinition(Symbol symbol) {
		return symbol.getCurrentDefinition();
	}
	
	/**
	 * returns true if symbol has a definition in the current scope
	 */
	public boolean definitionInCurrentScope(Symbol symbol) {
		return symbol.getScope() == currentScope;
	}
}
